Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231913 - Thunderbird should not name temp files for attachments with ".tmp"
Summary: Thunderbird should not name temp files for attachments with ".tmp"
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 8
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact:
URL:
Whiteboard: TB12ReproductionRequest
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-12 23:04 UTC by Mike Iglesias
Modified: 2018-04-11 07:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-10 13:57:33 UTC


Attachments (Terms of Use)
Sample email that shows this behaviour (deleted)
2007-03-12 23:04 UTC, Mike Iglesias
no flags Details


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 273849 None None None Never

Description Mike Iglesias 2007-03-12 23:04:49 UTC
Description of problem:
If I forward an email from a mailing list that is multipart/mixed as an in-line
text-only attachment, thunderbird names the attachment with the mailing list
information file:///tmp/nsmail-*.tmp.  The popular anti-spam software
MailScanner considers attachments named *.tmp as bad, causing the attachment to
be stripped and the recipient to get a modified copy of the mail with added text
about the stripped attachment being "unacceptable".  This confuses the recipient
and can cause them to question whether the email is legitimate.

I downloaded a copy of the Mozilla release of thunderbird, and it names the
attachment file:///tmp/nsmail-*.asc, and *.asc is not considered unacceptable by
MailScanner.


Version-Release number of selected component (if applicable):
1.5.0.10

How reproducible:
Always

Steps to Reproduce:
1. Forward a multipart/mixed email as an inline text only attachment
2 [details].
3.
  
Actual results:
Signature attachment of original email is named "file:///tmp/nsmail-*.tmp"

Expected results:


Additional info:
I downloaded a copy of the Mozilla release of thunderbird, and it names the
attachment file:///tmp/nsmail-*.asc, and *.asc is not considered unacceptable by
MailScanner.

I looked thru the FC6 source rpm for thunderbird 1.5.0.10 but I could not
determine how the name of the attachment was changed from .asc to .tmp.

Comment 1 Mike Iglesias 2007-03-12 23:04:49 UTC
Created attachment 149879 [details]
Sample email that shows this behaviour

Comment 2 Christopher Aillon 2007-04-19 22:36:38 UTC
Bastien, is this possibly because of s-m-i?  There's nothing that we added in
thunderbird but i can't seem to find anything that would make it use .tmp in the
xml file...

In any case, I'm not sure that .asc is the right file extension since it is
generally used for encrypted mails IIRC, but is there a better file extension we
could choose?  .eml?

Comment 3 Bastien Nocera 2007-04-20 09:58:20 UTC
$ grep tmp freedesktop.org.xml.in 
$

Does Thunderbird use its own shared-mime-info database? (and are you sure it
actually uses it all over?)

Nowhere in this mail does it seem to mention the proper mime-type of the
signature, or mention the original filenames.

Comment 4 Matěj Cepl 2007-12-10 09:21:56 UTC
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]

Comment 5 Mike Iglesias 2007-12-10 15:48:39 UTC
Both Fedora 7 and 8 still exhibit this behaviour.  Both have the latest patches
installed.


Comment 6 Matěj Cepl 2008-03-07 22:42:53 UTC
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test with the latest
version of Thunderbird (2.0.0.12) now available for your distribution and
provide feedback as to whether the problem still exists so we can file a ticket
upstream as soon as possible.

Comment 7 Mike Iglesias 2008-03-08 02:35:30 UTC
It still does it with F8 and Thunderbird 2.0.0.12.


Comment 8 Matěj Cepl 2008-03-10 13:57:33 UTC
We found that this bug has been already registered in the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=273849) and believe that it is
more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.


Note You need to log in before you can comment on or make changes to this bug.